## lesana 0.9.1

=== docs/source/man/Makefile ===

MAN_TARGETS = $(patsubst %.rst,%.1,$(wildcard *.rst))

all: $(MAN_TARGETS)

%.1: %.rst
	rst2man $< > $@

clean:
	rm *.1

.PHONY: all clean

## lesana 0.6.2

=== debian/changelog ===
lesana (0.6.2-1) unstable; urgency=medium

  * New upstream release.
  * Remove patches merged upstream.
  * Upload to unstable

 -- Elena Grandi <valhalla@debian.org>  Tue, 27 Oct 2020 09:41:29 +0100

lesana (0.6.1-1) experimental; urgency=low

  * Initial upload (Closes: #971894)

 -- Elena Grandi <valhalla@debian.org>  Fri, 09 Oct 2020 17:55:19 +0200

=== debian/control ===
Source: lesana
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Elena Grandi <valhalla@debian.org>
Section: utils
Priority: optional
Build-Depends:
 dh-python,
 python3-setuptools (>= 0.6b3),
 python3-all,
 debhelper-compat (= 13),
 python3-dateutil,
 python3-git,
 python3-jinja2,
 python3-ruamel.yaml,
 python3-sphinx,
 python3-xapian,
Standards-Version: 4.5.0
Homepage: https://lesana.trueelena.org/
Vcs-Browser: https://salsa.debian.org/python-team/packages/lesana
Vcs-Git: https://salsa.debian.org/python-team/packages/lesana.git
Rules-Requires-Root: no

Package: lesana
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, ${sphinxdoc:Depends},
 python3-dateutil,
 python3-jinja2,
 python3-ruamel.yaml,
 python3-xapian,
 sensible-utils,
Recommends:
 python3-git,
Description: manage collection inventories through yaml files
 lesana is a Python library and a command line interface to manage collection
 inventaries in a format that is compatible with being store in a git
 repository.

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/lesana/lesana-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## lesana 0.7.0

=== debian/changelog ===
lesana (0.7.0-1) unstable; urgency=medium

  * New upstream release.
  * Updated watch file version (no changes needed).

 -- Elena Grandi <valhalla@debian.org>  Mon, 07 Dec 2020 16:27:56 +0100

## lesana 0.8.0

=== debian/changelog ===
lesana (0.8.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.5.1 (no changes needed).

 -- Elena Grandi <valhalla@debian.org>  Wed, 10 Feb 2021 09:57:54 +0100

## lesana 0.8.1

=== debian/changelog ===
lesana (0.8.1-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Elena Grandi <valhalla@debian.org>  Mon, 15 Feb 2021 20:48:10 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  python3-ruamel.yaml,
  python3-sphinx,
  python3-xapian,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://lesana.trueelena.org/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/lesana
 Vcs-Git: https://salsa.debian.org/python-team/packages/lesana.git

## lesana 0.9.0

=== debian/changelog ===
lesana (0.9.0-2) unstable; urgency=medium

  * Disable another test that breaks on a deprecation warning.

 -- Elena Grandi <valhalla@debian.org>  Fri, 24 Dec 2021 19:44:46 +0100

lesana (0.9.0-1) unstable; urgency=medium

  * New upstream release.
  * Added simple autopkgtests.
  * New Recommend on python3-argcomplete to support bash-completion.
  * Skip a test that isn't working correctly.
  * Bump Standards-Version to 4.6.0.1 (no changes needed).
  * Skip the badges section from the sphinx documentation.
  * Add the missing binaries openlibrary2lesana and tellico2lesana.

 -- Elena Grandi <valhalla@debian.org>  Fri, 24 Dec 2021 13:23:44 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  python3-ruamel.yaml,
  python3-sphinx,
  python3-xapian,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0.1
 Homepage: https://lesana.trueelena.org/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/lesana
 Vcs-Git: https://salsa.debian.org/python-team/packages/lesana.git
@@ -30,6 +30,7 @@
  python3-xapian,
  sensible-utils,
 Recommends:
+ python3-argcomplete,
  python3-git,
 Description: manage collection inventories through yaml files
  lesana is a Python library and a command line interface to manage collection

=== debian/tests/control ===
Tests: unittests
Depends: @, python3-all, python3-nose
Restrictions: allow-stderr

## lesana 0.9.1

=== debian/changelog ===
lesana (0.9.1-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on python3-setuptools.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 26 May 2022 10:22:30 +0100

lesana (0.9.1-2) unstable; urgency=medium

  * Add missing test dependency: python3-git. Closes: #1003077

 -- Elena Grandi <valhalla@debian.org>  Tue, 04 Jan 2022 16:11:22 +0100

lesana (0.9.1-1) unstable; urgency=medium

  * New upstream release.
  * Remove the patch that disabled tests: fixed upstream.

 -- Elena Grandi <valhalla@debian.org>  Fri, 31 Dec 2021 17:11:31 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Priority: optional
 Build-Depends:
  dh-python,
- python3-setuptools (>= 0.6b3),
+ python3-setuptools,
  python3-all,
  debhelper-compat (= 13),
  python3-dateutil,

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=lesana
%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	cd docs ; PYTHONPATH=.. make html ; cd -
	cd docs ; PYTHONPATH=.. make man ; cd -

=== debian/tests/control ===
Tests: unittests
Depends: @, python3-all, python3-nose, python3-git
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/lesana/lesana-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## lesana 0.10.1

=== debian/changelog ===
lesana (0.10.1-3) unstable; urgency=medium

  * Team Upload
  * Move python3-pkg-resources dependency to the right place
  * Use dh-sequence-python3

 -- Alexandre Detiste <tchet@debian.org>  Wed, 29 Jan 2025 16:53:18 +0100

lesana (0.10.1-2) unstable; urgency=medium

  * Team Upload
  * Update autopkgtest dependencies:
    * remove python3-nose (Closes: #1018394)
    * add needed python3-pkg-resources that was previously pulled-in by Nose

 -- Alexandre Detiste <tchet@debian.org>  Thu, 08 Aug 2024 08:20:46 +0200

lesana (0.10.1-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Add new simple autopkgtest for the command line command.

 -- Elena Grandi <valhalla@debian.org>  Wed, 24 Apr 2024 17:13:04 +0200

lesana (0.10.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Update lintian override info format in d/lesana.lintian-overrides on line 2,
    5.

  [ Elena Grandi ]
  * Temporarily disable checking of upstream signatures (removed from pypi).
  * New upstream release.
  * Bump Standards-Version to 4.6.2 (no changes needed).
  * Use PEP 517 package building.
  * Fix autopkgtests to run on all python versions.

 -- Elena Grandi <valhalla@debian.org>  Wed, 17 Apr 2024 08:30:19 +0200

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,21 @@
 Section: utils
 Priority: optional
 Build-Depends:
- dh-python,
+ dh-sequence-python3,
  python3-setuptools,
+ python3-setuptools-scm,
+ pybuild-plugin-pyproject,
+ python3-build,
  python3-all,
  debhelper-compat (= 13),
  python3-dateutil,
  python3-git,
+ python3-hazwaz,
  python3-jinja2,
  python3-ruamel.yaml,
  python3-sphinx,
  python3-xapian,
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.2
 Homepage: https://lesana.trueelena.org/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/lesana
 Vcs-Git: https://salsa.debian.org/python-team/packages/lesana.git
@@ -25,7 +29,9 @@
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}, ${sphinxdoc:Depends},
  python3-dateutil,
+ python3-hazwaz,
  python3-jinja2,
+ python3-pkg-resources,
  python3-ruamel.yaml,
  python3-xapian,
  sensible-utils,

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=lesana

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

execute_after_dh_auto_build:
	cd docs ; PYTHONPATH=.. make html ; cd -
	cd docs ; PYTHONPATH=.. make man ; cd -

=== debian/tests/control ===
Tests: autodep8, unittests, commandline
Depends: @, python3-all, python3-git
Restrictions: allow-stderr

=== debian/watch ===
version=4
#opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/lesana/lesana-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
